Skip to main content
GET
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
messages
Get messages from a conversation
curl --request GET \
  --url https://app.omnivibe.com.br/accounts/{account_id}/conversations/{conversation_id}/messages
import requests

url = "https://app.omnivibe.com.br/accounts/{account_id}/conversations/{conversation_id}/messages"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.omnivibe.com.br/accounts/{account_id}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "labels": [
      "<string>"
    ],
    "additional_attributes": {
      "browser": {
        "device_name": "<string>",
        "browser_name": "<string>",
        "platform_name": "<string>",
        "browser_version": "<string>",
        "platform_version": "<string>"
      },
      "referer": "<string>",
      "initiated_at": {
        "timestamp": "<string>"
      },
      "browser_language": "<string>",
      "conversation_language": "<string>"
    },
    "contact": {
      "additional_attributes": {
        "city": "<string>",
        "country": "<string>",
        "country_code": "<string>",
        "created_at_ip": "<string>"
      },
      "custom_attributes": {},
      "email": "<string>",
      "id": 123,
      "identifier": "<string>",
      "name": "<string>",
      "phone_number": "<string>",
      "thumbnail": "<string>",
      "blocked": true,
      "type": "contact"
    },
    "assignee": {
      "id": 123,
      "account_id": 123,
      "auto_offline": true,
      "confirmed": true,
      "email": "<string>",
      "available_name": "<string>",
      "name": "<string>",
      "thumbnail": "<string>",
      "custom_role_id": 123
    },
    "agent_last_seen_at": "<string>",
    "assignee_last_seen_at": "<string>"
  },
  "payload": [
    {
      "id": 123,
      "content": "<string>",
      "inbox_id": 123,
      "conversation_id": 123,
      "content_attributes": {
        "in_reply_to": "<string>"
      },
      "echo_id": "<string>",
      "created_at": 123,
      "private": true,
      "source_id": "<string>",
      "sender": {
        "additional_attributes": {
          "city": "<string>",
          "country": "<string>",
          "country_code": "<string>",
          "created_at_ip": "<string>"
        },
        "custom_attributes": {},
        "email": "<string>",
        "id": 123,
        "identifier": "<string>",
        "name": "<string>",
        "phone_number": "<string>",
        "thumbnail": "<string>",
        "blocked": true,
        "type": "contact"
      },
      "attachments": [
        {
          "id": 123,
          "message_id": 123,
          "account_id": 123,
          "data_url": "<string>",
          "thumb_url": "<string>",
          "file_size": 123
        }
      ]
    }
  ]
}

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
number
required

ID of the conversation

Response

200 - application/json

Success

meta
object
payload
object[]

List of messages in the conversation